CpuTimer (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class CpuTimer

    java.lang.Object
      org.hyperic.sigar.CpuTimer

All Implemented Interfaces:
  org.hyperic.sigar.jmx.CpuTimerMBean

    public class CpuTimer

extends java.lang.Object
implements org.hyperic.sigar.jmx.CpuTimerMBean

Constructor Summary
`CpuTimer()`
`CpuTimer(Sigar sigar)`

Method Summary
`void` | `add(CpuTimer timer)`
`void` | `clear()`
`java.lang.String` | `format(long elap)`
`long` | `getCpuSys()`
`long` | `getCpuTotal()`
`double` | `getCpuUsage()`
`long` | `getCpuUser()`
`ThreadCpu` | `getDiff()`
`ThreadCpu` | `getDiff(Sigar sigar)`
`static CpuTimer` | `getInstance(java.lang.String name)`
`long` | `getLastSampleTime()`
`long` | `getTotalTime()`
`void` | `list(java.io.PrintStream out)`
`void` | `start()`
`void` | `start(Sigar sigar)`
`void` | `stop()`
`void` | `stop(Sigar sigar)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CpuTimer

    public CpuTimer()

### CpuTimer

    public CpuTimer(Sigar sigar)

Method Detail

### clear

    public void clear()

### add

    public void add(CpuTimer timer)

### start

    public void start()

### start

    public void start(Sigar sigar)

### stop

    public void stop()

### stop

    public void stop(Sigar sigar)

### getDiff

    public ThreadCpu getDiff()

### getDiff

    public ThreadCpu getDiff(Sigar sigar)

### getTotalTime

    public long getTotalTime()

  Specified by:
    `getTotalTime` in interface `org.hyperic.sigar.jmx.CpuTimerMBean`

### getCpuTotal

    public long getCpuTotal()

  Specified by:
    `getCpuTotal` in interface `org.hyperic.sigar.jmx.CpuTimerMBean`

### getCpuUser

    public long getCpuUser()

  Specified by:
    `getCpuUser` in interface `org.hyperic.sigar.jmx.CpuTimerMBean`

### getCpuSys

    public long getCpuSys()

  Specified by:
    `getCpuSys` in interface `org.hyperic.sigar.jmx.CpuTimerMBean`

### getCpuUsage

    public double getCpuUsage()

  Specified by:
    `getCpuUsage` in interface `org.hyperic.sigar.jmx.CpuTimerMBean`

### getLastSampleTime

    public long getLastSampleTime()

  Specified by:
    `getLastSampleTime` in interface `org.hyperic.sigar.jmx.CpuTimerMBean`

### getInstance

    public static CpuTimer getInstance(java.lang.String name)

### format

    public java.lang.String format(long elap)

### list

    public void list(java.io.PrintStream out)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.